%global fontname oflb-orthoventional
%global fontconf 63-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        001.000
Release:        1.20111030%{?dist}
Summary:        Orthoventional font family
License:        OFL

URL:            http://openfontlibrary.org/en/font/orthoventional
Source0:        http://openfontlibrary.org/assets/downloads/orthoventional/808028d42ebc9a2201c48ec793cd7860/orthoventional.zip
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
An upright serif font. This is a first release.

%prep
%setup -q -c %{name}-%{version}

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.otf
%doc *.sfd
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Wed May 13 2015 endopaxi <endopaxi@gmail.com> - 001.000-1.20111030
- Initial version
- Add metainfo file to show this font in gnome-software

